"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PropTypes = require("prop-types");
const React = require("react");
const Navbar = function (props) {
    const colorProps = {
        background: props.background,
        color: props.color,
    };
    return (React.createElement("nav", { className: "react-material-navbar", style: Object.assign({}, props.style, colorProps) },
        React.createElement("div", { className: "react-material-navbar-left" }, props.leftAction),
        React.createElement("div", { className: "react-material-navbar-title" },
            React.createElement("span", null, props.title)),
        React.createElement("div", { className: "react-material-navbar-right" }, props.rightAction)));
};
exports.Navbar = Navbar;
const propTypes = {
    title: PropTypes.string.isRequired,
    color: PropTypes.string,
    background: PropTypes.string,
    leftAction: PropTypes.element,
    rightAction: PropTypes.element,
    style: PropTypes.object,
    key: PropTypes.any,
    ref: PropTypes.any,
};
const defaultProps = {
    color: "#ffffff",
    background: "#0d47a1",
};
Navbar.propTypes = propTypes;
Navbar.defaultProps = defaultProps;
exports.default = Navbar;
